org.apache.maven.scm.command.update

## Class AbstractUpdateCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.update.AbstractUpdateCommand

- All Implemented Interfaces:
    Command
  Direct Known Subclasses:
    AbstractCvsUpdateCommand, BazaarUpdateCommand, ClearCaseUpdateCommand, GitUpdateCommand, HgUpdateCommand, LocalUpdateCommand, PerforceUpdateCommand, StarteamUpdateCommand, SvnUpdateCommand, SynergyUpdateCommand, TfsUpdateCommand

      public abstract class AbstractUpdateCommand
      extends AbstractCommand

  Version:
    $Id: AbstractUpdateCommand.java 685539 2008-08-13 13:27:27Z vsiveton $
  Author:
    Emmanuel Venisse , Trygve Laugstøl

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractUpdateCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScmResult` | `executeCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
    `protected abstract UpdateScmResult` | `executeUpdateCommand(ScmProviderRepository repository, ScmFileSet fileSet, ScmVersion scmVersion)`
    `protected abstract ChangeLogCommand` | `getChangeLogCommand()`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractUpdateCommand

          public AbstractUpdateCommand()

  - ### Method Detail

    - #### executeUpdateCommand

          protected abstract UpdateScmResult executeUpdateCommand(ScmProviderRepository repository,
                                             ScmFileSet fileSet,
                                             ScmVersion scmVersion)
                                                           throws ScmException

      Throws:
        `ScmException`

    - #### executeCommand

          public ScmResult executeCommand(ScmProviderRepository repository,
                                 ScmFileSet fileSet,
                                 CommandParameters parameters)
                                   throws ScmException

      Specified by:
        `executeCommand` in class `AbstractCommand`
      Throws:
        `ScmException`

    - #### getChangeLogCommand

          protected abstract ChangeLogCommand getChangeLogCommand()

Copyright © 2003–2015. All rights reserved.